- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.sources.findings/setState#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.sources.findings/setState#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.sources.findings/setState#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.sources.findings/setState#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.sources.findings/setState#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.sources.findings/setState#body.aspect)
- [Try it!](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.sources.findings/setState#try-it)

Updates the state of a finding.

### IAM Permissions

Requires the following IAM permission on the resource specified in the `name` field:

- `securitycenter.findings.setState`

### HTTP request

Choose an endpoint:
global me-central2 us eu   
`POST https://securitycenter.googleapis.com/v1p1beta1/{name=organizations/*/sources/*/findings/*}:setState`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The relative resource name of the finding. See: <https://cloud.google.com/apis/design/resource_names#relative_resource_name> Example: "organizations/{organizationId}/sources/{source_id}/finding/{findingId}". |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "state": enum (`https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.sources.findings#State`), "startTime": string } ``` |

| Fields ||
|---|---|
| `state` | ``enum (`https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.sources.findings#State`)`` Required. The desired State of the finding. |
| `startTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Optional. The time at which the updated state takes effect. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1p1beta1/organizations.sources.findings#Finding`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/securitycenter`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).